#ifndef PACKET_HANDLE_TARGET_TEST_H
#define PACKET_HANDLE_TARGET_TEST_H

/*!
  \file
  \brief packetHandleTarget.c のテスト

  \author Satofumi KAMIMURA

  $Id: PacketHandleTargetTest.h 286 2008-10-20 09:40:22Z satofumi $
  
  \todo パケットが足りない、及びチェックサムの異なるデータを送り、再送要求が発行されるかをテスト
*/

#include <cppunit/extensions/HelperMacros.h>

class PacketHandleTargetTest : public CppUnit::TestFixture {
  CPPUNIT_TEST_SUITE(PacketHandleTargetTest);
  CPPUNIT_TEST(writeTest);
  CPPUNIT_TEST(readTest);
  CPPUNIT_TEST(recvErrorTest);
  CPPUNIT_TEST_SUITE_END();

public:
  void writeTest(void);
  void readTest(void);
  void recvErrorTest(void);
};

#endif /* !PACKET_HANDLE_TARGET_TEST_H */
